Skip to content

Get Import Lead Status

GET /bulk/v1/leads/batch/{batchId}.json

Permissions Read-Write Lead

Build a request and mock the response

Method: GET
Path: /bulk/v1/leads/batch/{batchId}.json
Tag: Bulk Import Leads
Operation ID: getImportLeadStatusUsingGET

Returns the status of an import batch job. Required Permissions: Read-Write Lead

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
batchId integer (int32) Yes Id of the import batch job.

Example request

GET {{base_url}}/bulk/v1/leads/batch/{{batchId}}.json
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfImportLeadResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "batchId": 123,
      "importId": "123",
      "message": "string",
      "numOfLeadsProcessed": 123,
      "numOfRowsFailed": 123,
      "numOfRowsWithWarning": 123,
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.